org.apache.xmlgraphics.ps.dsc

## Interface DSCParserConstants

- All Known Subinterfaces:
    DSCComment, DSCEvent
  All Known Implementing Classes:
    AbstractDSCComment, AbstractEvent, AbstractResourceDSCComment, AbstractResourcesDSCComment, DefaultNestedDocumentHandler, DSCAtend, DSCCommentBeginDocument, DSCCommentBeginResource, DSCCommentBoundingBox, DSCCommentDocumentNeededResources, DSCCommentDocumentSuppliedResources, DSCCommentEndComments, DSCCommentEndOfFile, DSCCommentHiResBoundingBox, DSCCommentIncludeResource, DSCCommentLanguageLevel, DSCCommentPage, DSCCommentPageBoundingBox, DSCCommentPageHiResBoundingBox, DSCCommentPageResources, DSCCommentPages, DSCCommentTitle, DSCHeaderComment, DSCParser, DSCTools, PageExtractor, PostScriptComment, PostScriptLine, UnparsedDSCComment

      public interface DSCParserConstants

  Constants the DSC parser uses.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COMMENT` Indicates a normal PostScript comment (starting with "%")
    `static int` | `DSC_COMMENT` Indicates a DSC comment (starting with "%%")
    `static int` | `EOF` Indicates the end of the file (equivalent to the "%%EOF" DSC comment)
    `static int` | `HEADER_COMMENT` Indicates a header comment (starting with "%!")
    `static int` | `LINE` Indicates a normal PostScript line

- - ### Field Detail

    - #### HEADER_COMMENT

          static final int HEADER_COMMENT

      Indicates a header comment (starting with "%!")
      See Also:
        Constant Field Values

    - #### DSC_COMMENT

          static final int DSC_COMMENT

      Indicates a DSC comment (starting with "%%")
      See Also:
        Constant Field Values

    - #### COMMENT

          static final int COMMENT

      Indicates a normal PostScript comment (starting with "%")
      See Also:
        Constant Field Values

    - #### LINE

          static final int LINE

      Indicates a normal PostScript line
      See Also:
        Constant Field Values

    - #### EOF

          static final int EOF

      Indicates the end of the file (equivalent to the "%%EOF" DSC comment)
      See Also:
        Constant Field Values

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.